<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

add_event_handler('loc_end_page_tail', 'replace_in_cat_modify');
add_event_handler('get_popup_help_content', 'extended_desc_popup', EVENT_HANDLER_PRIORITY_NEUTRAL, 2);

function replace_in_cat_modify()
{
  global $page, $template;

  include(get_language_filepath('plugin.lang.php', EXTENDED_DESC_PATH));
  
  if (isset($page['page']))
  {
    switch ($page['page'])
    {
      case 'cat_modify':
        $patterns[] = '#\<input type\="text" name\="name" value\="(.*?)" maxlength\="60"/\>#s';
        $replacements[] = '<textarea cols="50" rows="3" name="name" class="description" style="height:3em;"/>$1</textarea>';
        $patterns[] = '#\<\/textarea\>#';
        $replacements[] = '</textarea>
        </td>
        <td>
        <ul class="categoryActions">
          <li><a href="./popuphelp.php?page=extended_desc" onclick="popuphelp(this.href); return false;" title="' . $lang['ExtendedDesc_help'] . '">
              <img src="' . EXTENDED_DESC_PATH . 'template/help.png" class="button" alt="' . $lang['ExtendedDesc_help'] . '"></a>
          </li>
        </ul>';
        break;
    
      case 'notification_by_mail':
        $patterns[] = '#\<\/textarea\>#';
        $replacements[] = '</textarea>
        </td>
        <td>
        <ul class="categoryActions">
          <li><a href="./popuphelp.php?page=extended_desc" onclick="popuphelp(this.href); return false;" title="' . $lang['ExtendedDesc_help'] . '">
              <img src="' . EXTENDED_DESC_PATH . 'template/help.png" class="button" alt="' . $lang['ExtendedDesc_help'] . '"></a>
          </li>
        </ul>';
        break;
        
      case 'configuration':
        $patterns[] = '#\<textarea#';
        $replacements[] = '<ul class="categoryActions" style="float:right;">
          <li><a href="./popuphelp.php?page=extended_desc" onclick="popuphelp(this.href); return false;" title="' . $lang['ExtendedDesc_help'] . '">
              <img src="' . EXTENDED_DESC_PATH . 'template/help.png" class="button" alt="' . $lang['ExtendedDesc_help'] . '"></a>
          </li>
        </ul>
        <textarea';
        break;
        
      default:
        return;
    }
    $template->output = preg_replace($patterns, $replacements, $template->output);
  }
}

function  extended_desc_popup($help_content, $get)
{
  if ($get == 'extended_desc')
  {
    $help_content = @file_get_contents(get_language_filepath('help.html', EXTENDED_DESC_PATH));
  }
  return $help_content;
}

?>